Skip to main content
POST
/
api
/
calls
/
web
Create web call
curl --request POST \
  --url https://api.upon-ai.com/api/calls/web \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentId": "<string>",
  "workspaceId": 123,
  "agentVersion": 123,
  "metadata": {},
  "uponai_dynamic_variables": {}
}
'
import requests

url = "https://api.upon-ai.com/api/calls/web"

payload = {
"agentId": "<string>",
"workspaceId": 123,
"agentVersion": 123,
"metadata": {},
"uponai_dynamic_variables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '<string>',
workspaceId: 123,
agentVersion: 123,
metadata: {},
uponai_dynamic_variables: {}
})
};

fetch('https://api.upon-ai.com/api/calls/web', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "callId": "<string>",
  "callType": "<string>",
  "status": "<string>",
  "agentId": "<string>",
  "agentVersion": 123,
  "metadata": {},
  "optOutSensitiveDataStorage": true,
  "accessToken": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "webCallUrl": "<string>",
  "uponai_dynamic_variables": {}
}

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Body

application/json
agentId
string
required

Unique agent identifier. The owning workspace is inferred from this value.

workspaceId
integer
agentVersion
integer
metadata
object
uponai_dynamic_variables
object

Response

201 - application/json

Web call created.

callId
string
callType
string
status
string
agentId
string
agentVersion
integer
metadata
object
optOutSensitiveDataStorage
boolean
accessToken
string | null
expiresAt
string<date-time> | null
webCallUrl
string<uri> | null
uponai_dynamic_variables
object